#TODO: gradient-convert is a Python script

Name:      cptutils
Version:   1.74
Release:   1%{?dist}
Summary:   Utilities to manipulate and translate color gradients
License:   GPLv2+
URL:       http://soliton.vm.bytemark.co.uk/pub/jjg/en/code/cptutils.html
Source0:   http://soliton.vm.bytemark.co.uk/pub/jjg/code/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  jansson-devel
BuildRequires:  libpng-devel
BuildRequires:  libxml2-devel
BuildRequires: make

%description
The cptutils package contains a number of utilities for the manipulation of
color gradients; mainly for translating between different formats. Formats
supported include ggr (GIMP gradient), cpt (GMT color palette table),
avl (Arcview Legend), lut (xmedcon), svg, and version 3 of the grd format. 

The cptutils package was written to aid the construction of the cpt archive
cpt-city http://soliton.vm.bytemark.co.uk/pub/cpt-city where thousands of
gradients can be downloaded.


%prep
%setup -q


%build
%configure
make


%install
make install DESTDIR=%{buildroot}

# Don't run tests, because some of them require data
# from other packages, for instance GIMP


%files 
%doc CHANGELOG COPYING README.md
%{_bindir}/*
%{_mandir}/man1/*.1*



%changelog
* Tue Apr 19 2022 Sandipan Roy <bytehackr@fedoraproject.org> - 1:1.74
- Updated version to 1.74

* Sun Jan 02 2022 Sumit Garg <sumitgarg44@gmail.com> - 1.74-1
- New upstream release

* Thu Jun  5 2014 Volker Fröhlich <volker27@gmx.at> 1.54-1
- New upstream release

* Thu Apr 24 2014 Volker Fröhlich <volker27@gmx.at> 1.53-1
- New upstream release

* Fri Mar 14 2014 Volker Fröhlich <volker27@gmx.at> 1.52-1
- New upstream release

* Fri Feb 28 2014 Volker Fröhlich <volker27@gmx.at> 1.51-1
- New upstream release

* Wed Feb 12 2014 Volker Fröhlich <volker27@gmx.at> 1.50-1
- New upstream release

* Tue Feb 11 2014 Volker Fröhlich <volker27@gmx.at> 1.49-1
- New upstream release

* Mon Nov  4 2013 Volker Fröhlich <volker27@gmx.at> 1.48-1
- New upstream release

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.47-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 15 2013 Volker Fröhlich <volker27@gmx.at> 1.47-1
- New upstream release

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.46-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Dec 15 2012 Volker Fröhlich <volker27@gmx.at> 1.46-1
- New upstream release

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.45-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon May 21 2012 Volker Fröhlich <volker27@gmx.at> 1.45-1
- New upstream release

* Wed Feb 15 2012 Volker Fröhlich <volker27@gmx.at> 1.42-2
- Remove unnecessary BR flex

* Sat Jan 21 2012 Volker Fröhlich <volker27@gmx.at> 1.42-1
- New upstream release
- All patches and wishes were implemented by the author

* Sat Jan 21 2012 Volker Fröhlich <volker27@gmx.at> 1.41-1
- Initial packaging for Fedora
